#include <stdio.h>

int main () {
    double sum = 0.0, biggest, smallest, x;
    int count = 1;

    scanf("%lf", &sum);
    biggest = smallest = sum;

    while (scanf("%lf", &x) == 1) {
        sum += x;
        ++count;
        if (x > biggest) biggest = x;
        if (x < smallest) smallest = x;
    }

    printf("Count of numbers: %d\n", count);
    printf("Biggest: %f, Smallest: %f, Average: %f\n",
           biggest, smallest, sum / count);

    return 0;
}





